> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses invitations refuse



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/invitations/{invitationId}/refuse
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/invitations/{invitationId}/refuse:
    post:
      tags:
        - BusinessInvitations
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: invitationId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/BusinessUsersInvitationsSBBusinessMembershipInvitationResponse
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/BusinessUsersInvitationsSBBusinessMembershipInvitationResponse
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/BusinessUsersInvitationsSBBusinessMembershipInvitationResponse
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    BusinessUsersInvitationsSBBusinessMembershipInvitationResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        businessId:
          type: integer
          format: int64
        email:
          type: string
          nullable: true
        businessName:
          type: string
          nullable: true
        role:
          $ref: '#/components/schemas/ModelsBusinessUsersSBBusinessMembershipRole'
        status:
          $ref: >-
            #/components/schemas/ModelsBusinessUsersSBBusinessMembershipInvitationStatus
        invitedBy:
          $ref: '#/components/schemas/UsersUserSummaryResponse'
        user:
          $ref: '#/components/schemas/UsersUserSummaryResponse'
        employeeId:
          type: integer
          format: int64
        employee:
          $ref: '#/components/schemas/BusinessEmployeesSBEmployeeResponse'
        acceptedAt:
          type: string
          format: date-time
          nullable: true
        expiresAt:
          type: string
          format: date-time
        createdAt:
          type: string
          format: date-time
        cancelledAt:
          type: string
          format: date-time
          nullable: true
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    ModelsBusinessUsersSBBusinessMembershipRole:
      enum:
        - ADMINISTRATOR
        - FINANCE_MANAGER
        - ACCOUNTANT
        - MANAGER
        - EMPLOYEE
        - AUDITOR
        - APPROVER
        - MEMBER
        - FINANCE_TEAM
      type: string
    ModelsBusinessUsersSBBusinessMembershipInvitationStatus:
      enum:
        - PENDING
        - ACCEPTED
        - REFUSED
        - EXPIRED
      type: string
    UsersUserSummaryResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        fullName:
          type: string
          nullable: true
          readOnly: true
        avatar:
          type: string
          nullable: true
      additionalProperties: false
    BusinessEmployeesSBEmployeeResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        phoneNumber:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        managerId:
          type: integer
          format: int64
          nullable: true
        manager:
          $ref: '#/components/schemas/BusinessEmployeesSBEmployeeResponse'
        status:
          $ref: '#/components/schemas/ModelsBusinessEmployeesSBEmployeeStatus'
        businessId:
          type: integer
          format: int64
        birthdate:
          type: string
          format: date-time
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    ModelsBusinessEmployeesSBEmployeeStatus:
      enum:
        - ACTIVE
        - INACTIVE
        - TERMINATED
      type: string

````